# Prepare workspace ####

# Define parent directory
parent.dir <- "C:/Final Report"

# Reset workspace 
rm(list = setdiff(ls(), "parent.dir"))
gc()

# Strings as characters
options(stringsAsFactors = FALSE)

# Child directories
source(file.path(parent.dir, "Shared Source Code",
                 "Define Child Directories.R"), echo = TRUE)

# Packages
source(file.path(parent.dir, "Shared Source Code", 
                 "Install and Load Packages.R"), echo = TRUE)

# Custom functions
source(file.path(parent.dir, "Shared Source Code", "Define Functions.R"),
       echo = TRUE)



# ACS data ####

# Read file
acs.file <- file.path(parent.dir, "Input Files", 
                      "Census Bureau ACS (2006-2010) Data.xlsx")
acs10 <- Read.xlsx2(acs.file, sheetIndex = 1, 
                    colClasses = c("character", rep("numeric", 2)))

# Key
setkey(acs10, fips)



# Save to file ###
acs.rda <- file.path(parent.dir, "Prepared Data", "ACS 2010.rda")
save(acs10, file = acs.rda)



# Write to file ###
acs.xlsx <- file.path(parent.dir, "Prepared Data", "ACS 2010.xlsx")
write.xlsx2(acs10, acs.xlsx, row.names = FALSE)
